All of lore.kernel.org
 help / color / mirror / Atom feed
From: tip-bot for Wang Nan <tipbot@zytor.com>
To: linux-tip-commits@vger.kernel.org
Cc: hpa@zytor.com, mingo@kernel.org, acme@redhat.com,
	jolsa@redhat.com, namhyung@kernel.org, lizefan@huawei.com,
	linux-kernel@vger.kernel.org, wangnan0@huawei.com,
	tglx@linutronix.de
Subject: [tip:perf/urgent] perf build: Test correct path of perf in build-test
Date: Tue, 19 Jan 2016 05:35:31 -0800	[thread overview]
Message-ID: <tip-68824de19a0b4cdc17193cb004c55d82c06af8bd@git.kernel.org> (raw)
In-Reply-To: <1452830421-77757-4-git-send-email-wangnan0@huawei.com>

Commit-ID:  68824de19a0b4cdc17193cb004c55d82c06af8bd
Gitweb:     http://git.kernel.org/tip/68824de19a0b4cdc17193cb004c55d82c06af8bd
Author:     Wang Nan <wangnan0@huawei.com>
AuthorDate: Fri, 15 Jan 2016 04:00:15 +0000
Committer:  Arnaldo Carvalho de Melo <acme@redhat.com>
CommitDate: Fri, 15 Jan 2016 16:31:59 -0300

perf build: Test correct path of perf in build-test

If an 'O' is passed to 'make build-test', many 'test -x' and 'test -f'
will fail because perf resides in a different directory. Fix this by
computing PERF_OUT according to 'O' and test correct output files.
For make_kernelsrc and make_kernelsrc_tools, set KBUILD_OUTPUT_DIR
instead because the path is different from others ($(O)/perf vs
 $(O)/tools/perf).

Signed-off-by: Wang Nan <wangnan0@huawei.com>
Tested-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Cc: Jiri Olsa <jolsa@redhat.com>
Cc: Namhyung Kim <namhyung@kernel.org>
Cc: Zefan Li <lizefan@huawei.com>
Cc: pi3orama@163.com
Link: http://lkml.kernel.org/r/1452830421-77757-4-git-send-email-wangnan0@huawei.com
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
 tools/perf/tests/make | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index fc2a9a3..29810cf 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -13,10 +13,12 @@ else
 endif
 else
 PERF := .
+PERF_O := $(PERF)
 O_OPT :=
 
 ifneq ($(O),)
   FULL_O := $(shell readlink -f $(O) || echo $(O))
+  PERF_O := $(FULL_O)
   ifeq ($(SET_O),1)
     O_OPT := 'O=$(FULL_O)'
   endif
@@ -173,11 +175,11 @@ test_make_doc    := $(test_ok)
 test_make_help_O := $(test_ok)
 test_make_doc_O  := $(test_ok)
 
-test_make_python_perf_so := test -f $(PERF)/python/perf.so
+test_make_python_perf_so := test -f $(PERF_O)/python/perf.so
 
-test_make_perf_o           := test -f $(PERF)/perf.o
-test_make_util_map_o       := test -f $(PERF)/util/map.o
-test_make_util_pmu_bison_o := test -f $(PERF)/util/pmu-bison.o
+test_make_perf_o           := test -f $(PERF_O)/perf.o
+test_make_util_map_o       := test -f $(PERF_O)/util/map.o
+test_make_util_pmu_bison_o := test -f $(PERF_O)/util/pmu-bison.o
 
 define test_dest_files
   for file in $(1); do				\
@@ -244,7 +246,7 @@ test_make_perf_o_O            := test -f $$TMP_O/perf.o
 test_make_util_map_o_O        := test -f $$TMP_O/util/map.o
 test_make_util_pmu_bison_o_O := test -f $$TMP_O/util/pmu-bison.o
 
-test_default = test -x $(PERF)/perf
+test_default = test -x $(PERF_O)/perf
 test = $(if $(test_$1),$(test_$1),$(test_default))
 
 test_default_O = test -x $$TMP_O/perf
@@ -293,17 +295,22 @@ tarpkg:
 	( eval $$cmd ) >> $@ 2>&1 && \
 	rm -f $@
 
+KERNEL_O := ../..
+ifneq ($(O),)
+  KERNEL_O := $(O)
+endif
+
 make_kernelsrc:
 	@echo "- make -C <kernelsrc> $(PARALLEL_OPT) tools/perf"
 	$(call clean); \
 	(make -C ../.. $(PARALLEL_OPT) tools/perf) > $@ 2>&1 && \
-	test -x perf && rm -f $@ || (cat $@ ; false)
+	test -x $(KERNEL_O)/tools/perf/perf && rm -f $@ || (cat $@ ; false)
 
 make_kernelsrc_tools:
 	@echo "- make -C <kernelsrc>/tools $(PARALLEL_OPT) perf"
 	$(call clean); \
 	(make -C ../../tools $(PARALLEL_OPT) perf) > $@ 2>&1 && \
-	test -x perf && rm -f $@ || (cat $@ ; false)
+	test -x $(KERNEL_O)/tools/perf/perf && rm -f $@ || (cat $@ ; false)
 
 all: $(run) $(run_O) tarpkg make_kernelsrc make_kernelsrc_tools
 	@echo OK

  reply	other threads:[~2016-01-19 13:36 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-15  4:00 [PATCH v3 0/9] perf build: Make build-test faster Wang Nan
2016-01-15  4:00 ` [PATCH v3 1/9] perf build: Set parallel making options build-test Wang Nan
2016-01-15  4:00 ` [PATCH v3 2/9] perf build: Pass O option to Makefile.perf in build-test Wang Nan
2016-01-19 13:35   ` [tip:perf/urgent] " tip-bot for Wang Nan
2016-01-15  4:00 ` [PATCH v3 3/9] perf build: Test correct path of perf " Wang Nan
2016-01-19 13:35   ` tip-bot for Wang Nan [this message]
2016-01-15  4:00 ` [PATCH v3 4/9] perf build: Pass O option to kernel makefile " Wang Nan
2016-01-19 13:35   ` [tip:perf/urgent] " tip-bot for Wang Nan
2016-01-15  4:00 ` [PATCH v3 5/9] perf build: Add feature-dump target Wang Nan
2016-01-15 19:11   ` Arnaldo Carvalho de Melo
2016-01-15 19:23     ` Arnaldo Carvalho de Melo
2016-01-15 19:27       ` Arnaldo Carvalho de Melo
2016-01-19 13:36   ` [tip:perf/urgent] " tip-bot for Jiri Olsa
2016-01-15  4:00 ` [PATCH v3 6/9] perf build: Introduce FEATURES_DUMP make variable Wang Nan
2016-01-19 13:36   ` [tip:perf/urgent] " tip-bot for Jiri Olsa
2016-01-15  4:00 ` [PATCH v3 7/9] tools build: Allow subprojects select all feature checkers Wang Nan
2016-01-15  4:00 ` [PATCH v3 8/9] perf build: Select all feature checkers for feature-dump Wang Nan
2016-01-15  4:00 ` [PATCH v3 9/9] perf build: Use feature dump file for build-test Wang Nan
2016-01-15 14:06   ` [PATCH v3 9/9 -fix] " Wang Nan
2016-01-15 14:08   ` [PATCH v3 9/9] " Wangnan (F)
2016-01-15 10:20 ` [PATCH v3 0/9] perf build: Make build-test faster Jiri Olsa
2016-01-15 14:36   ` Arnaldo Carvalho de Melo
2016-01-15 14:54     ` Arnaldo Carvalho de Melo
2016-01-15 14:54     ` pi3orama
2016-01-15 15:12       ` Arnaldo Carvalho de Melo
2016-01-15 16:33         ` Arnaldo Carvalho de Melo
2016-01-15 18:56           ` Arnaldo Carvalho de Melo
2016-01-15 19:01             ` Arnaldo Carvalho de Melo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=tip-68824de19a0b4cdc17193cb004c55d82c06af8bd@git.kernel.org \
    --to=tipbot@zytor.com \
    --cc=acme@redhat.com \
    --cc=hpa@zytor.com \
    --cc=jolsa@redhat.com \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-tip-commits@vger.kernel.org \
    --cc=lizefan@huawei.com \
    --cc=mingo@kernel.org \
    --cc=namhyung@kernel.org \
    --cc=tglx@linutronix.de \
    --cc=wangnan0@huawei.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.